[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.8180434.svg)](https://doi.org/10.5281/zenodo.8180434)
[![test status](https://github.com/qmcurrents/gimic/workflows/Test/badge.svg)](https://github.com/qmcurrents/gimic/actions)


# GIMIC: gauge-including magnetically induced currents


## Documentation: https://gimic.readthedocs.io


## About GIMIC

The GIMIC program calculates magnetically induced currents in molecules. You
need to provide this program with a density matrix in atomic-orbital (AO) basis
and three (effective) magnetically perturbed AO density matrices in the proper
format.

Currently ACES2, Turbomole, G09, QChem, FERMION++, and LSDalton can produce these
matrices.


## Example

There is an annotated example input in the [examples](examples) directory.


## Citation

For a **recommended code citation**, please check the at the bottom-right of
https://zenodo.org/record/8180434 (on that page, search for "Cite as").
Also the DOI badge on top of the README links to that page.

When using GIMIC please cite: 

* J. Juselius, D. Sundholm, J. Gauss, Calculation of Current Densities Using Gauge- Including Atomic Orbitals. J. Chem. Phys. 2004, 121, 3952-3963 

* H. Fliegl, S. Taubert, O. Lehtonen, D. Sundholm, The Gauge Including Magnetically Induced Current Method. Phys. Chem. Chem. Phys. 2011, 13, 20500-20518

Review: 

* D. Sundholm, H. Fliegl, R. J. Berger, Calculations of Magnetically Induced Current Densities: Theory and Applications. WIREs Comput. Mol. Sci. 2016, 6, 639-678

Open-shell calculations:

* S. Taubert, D. Sundholm, J Juselius,  Calculation of Spin-Current Densities Using Gauge-Including Atomic Orbitals. J. Chem. Phys. 2011, 134, 054123:1-12

ACID: 

* H. Fliegl, J. Jusélius, D. Sundholm, Gauge-Origin Independent Calculations of the Anisotropy of the Magnetically Induced Current Densities, J. Phys. Chem. A, 120, 2016, 5658-5664  

When using the G09 interface:

* M. Rauhalahti, S. Taubert, D. Sundholm, V. Liegeois, Calculations of current densities for neutral and doubly charged persubstituted benzenes using ective core potentials. Phys. Chem. Chem. Phys. 2017, 19, 7124-7131

When using the NumGrid libary:

* https://github.com/dftlibs/numgrid#citation

NMR shielding constants based on the current density:

* RK Jinger, H Fliegl, R Bast, M Dimitrova, S Lehtola, D Sundholm, Spatial contributions to nuclear magnetic shieldings, J. Phys. Chem. A, 125, 1778-1786 

Magnetizability based on the current density:

* S Lehtola, M Dimitrova, H Fliegl, D Sundholm, Benchmarking magnetizabilities with recent density functionals, J. Chem. Theo. Comp., 17, 1457-1468


